com.sun.grid.jgdi.monitoring

## Class QQuotaOptions

- java.lang.Object
- - com.sun.grid.jgdi.monitoring.QQuotaOptions

- All Implemented Interfaces:
    java.io.Serializable

      public class QQuotaOptions
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form
  TODO:
    beta ??

    Add javadoc comments

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QQuotaOptions()` Creates a new instance of QQuotaOptions

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HostFilter` | `getHostFilter()`
    `ParallelEnvironmentFilter` | `getPeFilter()`
    `ProjectFilter` | `getProjectFilter()`
    `QueueFilter` | `getQueueFilter()`
    `ResourceFilter` | `getResourceFilter()`
    `UserFilter` | `getUserFilter()`
    `void` | `setHostFilter(HostFilter hostFilter)`
    `void` | `setPeFilter(ParallelEnvironmentFilter peFilter)`
    `void` | `setProjectFilter(ProjectFilter projectFilter)`
    `void` | `setQueueFilter(QueueFilter queueFilter)`
    `void` | `setResourceFilter(ResourceFilter resourceFilter)`
    `void` | `setUserFilter(UserFilter userFilter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QQuotaOptions

          public QQuotaOptions()

      Creates a new instance of QQuotaOptions

  - ### Method Detail

    - #### getQueueFilter

          public QueueFilter getQueueFilter()

    - #### setQueueFilter

          public void setQueueFilter(QueueFilter queueFilter)

    - #### getHostFilter

          public HostFilter getHostFilter()

    - #### setHostFilter

          public void setHostFilter(HostFilter hostFilter)

    - #### getProjectFilter

          public ProjectFilter getProjectFilter()

    - #### setProjectFilter

          public void setProjectFilter(ProjectFilter projectFilter)

    - #### getPeFilter

          public ParallelEnvironmentFilter getPeFilter()

    - #### setPeFilter

          public void setPeFilter(ParallelEnvironmentFilter peFilter)

    - #### getResourceFilter

          public ResourceFilter getResourceFilter()

    - #### setResourceFilter

          public void setResourceFilter(ResourceFilter resourceFilter)

    - #### getUserFilter

          public UserFilter getUserFilter()

    - #### setUserFilter

          public void setUserFilter(UserFilter userFilter)

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.